package net.minecraft.server.packs.resources;

import java.util.Collection;
import java.util.function.Predicate;
import java.util.List;
import java.io.IOException;
import net.minecraft.resources.ResourceLocation;
import java.util.Set;

public interface ResourceManager {
    Set<String> getNamespaces();
    
    Resource getResource(final ResourceLocation sm) throws IOException;
    
    boolean hasResource(final ResourceLocation sm);
    
    List<Resource> getResources(final ResourceLocation sm) throws IOException;
    
    Collection<ResourceLocation> listResources(final String string, final Predicate<String> predicate);
}
